Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83148 - Conf.BadFile: Malformed /etc/hosts file
Summary: Conf.BadFile: Malformed /etc/hosts file
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-30 18:51 UTC by James Jackson
Modified: 2007-04-18 16:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-25 10:57:31 UTC


Attachments (Terms of Use)

Description James Jackson 2003-01-30 18:51:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; Linux 2.4.18-19.7.x i686; Nav)

Description of problem:
Traceback (innermost last):
  File "/usr/sbin/neat", line 1398, in ?
    window = mainDialog()
  File "/usr/sbin/neat", line 222, in __init__
    self.load()
  File "/usr/sbin/neat", line 243, in load
    self.loadProfiles()
  File "/usr/sbin/neat", line 256, in loadProfiles
    profilelist = getProfileList()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCProfileList.py", l
ine 393, in getProfileList
    PFList.load()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCProfileList.py", l
ine 44, in load
    hoconf = Conf.ConfEHosts()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Conf.py", line 429,
in __init__
    Conf.__init__(self, '/etc/hosts')
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Conf.py", line 180,
in __init__
    self.read()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Conf.py", line 432,
in read
    self.initvars()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Conf.py", line 445,
in initvars
    raise BadFile, 'Malformed /etc/hosts file'
Conf.BadFile: Malformed /etc/hosts file

Local variables in innermost frame:
self: <netconfpkg.Conf.ConfEHosts instance at 8543080>
var: ['170.153.72.160']


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.simply try to run network configuration
2.
3.
    

Actual Results:  Traceback (innermost last):
  File "/usr/sbin/neat", line 1398, in ?
    window = mainDialog()
  File "/usr/sbin/neat", line 222, in __init__
    self.load()
  File "/usr/sbin/neat", line 243, in load
    self.loadProfiles()
  File "/usr/sbin/neat", line 256, in loadProfiles
    profilelist = getProfileList()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCProfileList.py", l
ine 393, in getProfileList
    PFList.load()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCProfileList.py", l
ine 44, in load
    hoconf = Conf.ConfEHosts()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Conf.py", line 429,
in __init__
    Conf.__init__(self, '/etc/hosts')
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Conf.py", line 180,
in __init__
    self.read()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Conf.py", line 432,
in read
    self.initvars()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Conf.py", line 445,
in initvars
    raise BadFile, 'Malformed /etc/hosts file'
Conf.BadFile: Malformed /etc/hosts file

Local variables in innermost frame:
self: <netconfpkg.Conf.ConfEHosts instance at 8543080>
var: ['170.153.72.160']


Expected Results:  network configuration panel for kde/gnome should appear

Additional info:

Comment 1 Harald Hoyer 2003-03-24 16:03:50 UTC
please check your /etc/hosts file and if you do not find the curious entry,
attach it here.
I know, I know, it should not crash and this is fixed in recent versions

Comment 2 Harald Hoyer 2003-03-25 10:57:31 UTC
fixed in CVS and RHL 9


Note You need to log in before you can comment on or make changes to this bug.